

As "Dmitry A.  Fedorov" <D.A.Fedorov@inp.nsk.su> points out,
get_current_user() has a local variable __user which conflicts with the
sparse tagging.  But get_current_user() has no callers.



 include/linux/sched.h |    5 -----
 1 files changed, 5 deletions(-)

diff -puN include/linux/sched.h~remove-get_current_user include/linux/sched.h
--- 25/include/linux/sched.h~remove-get_current_user	2003-06-05 00:51:27.000000000 -0700
+++ 25-akpm/include/linux/sched.h	2003-06-05 00:51:27.000000000 -0700
@@ -288,11 +288,6 @@ struct user_struct {
 	uid_t uid;
 };
 
-#define get_current_user() ({ 				\
-	struct user_struct *__user = current->user;	\
-	atomic_inc(&__user->__count);			\
-	__user; })
-
 extern struct user_struct *find_user(uid_t);
 
 extern struct user_struct root_user;

_
